package com.dlc.exam.common

/**
 * info
 *
 * @author ReiChin_
 */
enum class ExamType(val type: String, val desc: String) {

    SAFETY("1", "安全准入考试"),
    NEGATIVE("2", "负面清单考试"),
    BLACK_LIST("3", "黑名单考试"),
    MOCK_TEST("4", "模拟考试");

    companion object {
        fun decodeDescByType(type: String): String {
            return values().find { it.type == type }?.desc ?: ""
        }
    }

}